*, *::before, *::after {
    box-sizing: border-box;
}
main {
    background-color: #f7f7f7;
    padding-bottom: 2rem;
}

article figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1rem 0;
}


article img {
    max-width: 100%;
    width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}
.img-multiply {
    mix-blend-mode: multiply;
}

article {
    margin: 0 auto;
    max-width: 65ch;
    padding: 20px;
}

.article-header {
}

.article-header h1 {
    font-size: 2.5em;
    margin: 2rem 0 4rem 0;
    letter-spacing: 1px;
    line-height: 1.25;
    color: #515151;
    text-wrap: balance;
}

.article-header h1:has(+ legend) {
    margin-bottom: 1rem;
}

article h2 {
    font-size: 2.15rem;
    margin: 1.5rem 0 2rem 0;
    line-height: 1.35;
    color: var(--color);
    text-wrap: balance;
} 

article h3 {
    font-size: 1.8rem;
    margin: 3rem 0 2rem 0;
    line-height: 1.25;
    color: var(--color);
    text-wrap: balance;
} 
article h3:has(span.inline-bullet) {
    border-left: 3px solid var(--color);
    padding-left: 1rem;
    margin-left: 2.5rem;
    position: relative;
}
article h3 span {
    font-weight: bold;
    color: #515151;
}
article h3 span.inline-bullet {
    position: absolute;
    left: -2.0rem;
}
article h4 {
    font-size: 1.5rem;
    margin: 3rem 0 2.5rem 0;
    line-height: 1.1;
    color: var(--color);
    text-wrap: balance;
} 
article h4:has(span) {
    padding-left: 2.5rem;
    position: relative;
}
article h4 span {
    font-weight: bold;
    color: #ffffff;
    position: absolute;
    left: 0rem;
    background-color: var(--color);
    border-radius: 16px;
    padding: 0.2rem 0.5rem;
    transform: translate(-0.2rem, -0.2rem);
}

article p {
    color: #515151;
    font-size: 1.1rem;
    line-height: 1.6;
    text-wrap: pretty;
    margin-bottom: 1.5rem;
}

legend {
    font-size: 1.0rem;
    color: var(--color);
    font-weight: normal;
    margin-bottom: 1rem;
    font-style: italic;
    margin-bottom: 2.5rem;
}

article ul, 
article ol {
    margin: 1.5rem 0;
    padding-left: 2.5rem;
    /* background-image: url(../../img/favicon.png); */
}
article ol {
    counter-reset: li;
}

article ol li,
article ul li {
    margin: 1.5rem 0;
    color: #515151;
    font-size: 1.1rem;
    line-height: 1.6;
    position: relative;
}
article ul li::before {
    margin-top: 0rem;
    content: url(../../img/list-item-image.png);
    position: absolute;
    left: -2.75rem;
    top: 0.2rem;
    width: 1rem;
    height: 1rem;
}
article ol li::before {
    counter-increment: li;
    content: counter(li) ".";
    position: absolute;
    left: -2.75rem;
    top: 0.0rem;
    color: var(--color);
    font-weight: bold;
    font-size: 1.1rem;
}

article ul.bullet-checks li::before {
    content: "✅";
}


article ol li strong,
article ul li strong {
    font-weight: bold;
    color: #515151;
}

p.link a {
    color: var(--color);
    text-decoration: none;
    font-weight: normal;
    background: none;
    border: none;
    padding: 0;
    font-size: 0.85rem;
    box-shadow: none;
    transition: opacity 0.3s ease;
    &:hover {
        opacity: 1;
    }
    
    
}

p.link-normal-size a {
    font-size: inherit;
}

p.external-link a:before {
    content: "🔗";
    margin-right: 0.5rem;
    color: var(--color);
}

blockquote {
    margin: 1.5rem 0;
    padding-left: 1.5rem;
    border-left: 4px solid var(--color);
    color: #515151;
    font-size: 1.1rem;
    line-height: 1.6;
}
blockquote p {
    margin: 0.5rem 0;
    opacity: 0.85;
    font-style: italic;
    line-height: 1.5;
}

.article-footer {
    padding: 2rem 0;
    margin-top: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.article-footer h3 {
    font-size: 1.5rem;
    color: var(--color);
    margin: 0rem;
    text-wrap: pretty;
    font-weight: normal;
}


.article-footer-list {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    flex-wrap: wrap;
    justify-content: center;
    margin: 2rem auto;
}

.article-footer-list .article-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    max-width: 300px;
    background-color: #ffffff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    transition: scale 0.2s, rotate 0.2s;
}


.article-footer-list .article-container h2 {
    font-size: 1.2rem;
    margin: 0.5rem 1.5rem;
    color: var(--color);
    line-height: 1.2;
    text-wrap: pretty;
    grid-area: title;
}

.article-footer-list .article-container p {
    font-size: 0.8rem;
    line-height: 1.5;
    color: #515151;
    margin: 0.5rem 1.5rem;
    text-wrap: pretty;
    grid-area: paragraph;
}
.article-footer-list .article-container p:last-of-type {
    margin-bottom: 1rem;
}

.article-footer-list .article-container a {
    margin: auto 1rem 1rem auto;
    font-size: 0.8rem;
    font-weight: bold;
    padding: 0.5rem 1rem;
    background-color: transparent;
    border: 1px solid color-mix(in hsl, #ffffff 100%, var(--color) 10%);
    color: var(--color);
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.3s;
    grid-area: link;
}


.article-footer-list .article-container:has(a:hover) {
    scale: 1.02;
    rotate: 0.1deg;
}

.article-footer-list .article-container a:hover {
    background-color: color-mix(in hsl, #ffffff 100%, var(--color) 10%);
    color: var(--color);
}
.article-footer-list .article-image-container {
    width: 100%;
    min-width: 250px;
    height: 150px;
    background-size: cover;
    background-position: center;
    border-radius: 4px 4px 0 0;
    margin-bottom: 1rem;
    grid-area: image;
}
.article-footer-list .article-image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 4px;
}


@media (max-width: 950px) {
    .article-footer-list {
        flex-direction: column;
    }

    .article-footer-list .article-container {
        display: grid;
        grid-template-columns: auto 1fr;
        grid-template-areas: "image title" "image paragraph" "image link";
        align-items: flex-start;
        width: 100%;
        
        max-width: 750px;
        background-color: #ffffff;
        align-items: start;
        padding: 1rem;
        border-radius: 9px;
    }

    .article-footer-list .article-image-container {
        margin: 0rem;
        width: calc(100% - 2rem);
        /* aspect-ratio: 3 / 2; */
        height: 100%;
        background-color: #515151;
        border-radius: 6px;
    }

    .article-footer-list .article-container h2 {
        margin: 0 1rem 1rem 1rem;
        font-size: 1.2rem;
    }

    .article-footer-list .article-container p {
        margin: 0 1rem;
    }
}


@media (max-width: 600px) {

    .article-footer-list .article-container {
        display: flex;
        flex-direction: column;
        padding: 0rem;
        border-radius: 6px;
        margin: 0.5rem;
        width: calc(100% - 1rem);
    }

    .article-footer-list .article-image-container {
        min-height: 210px;
        width: 100%;
        border-radius: 6px 6px 0 0;
    }
    .article-footer-list .article-container h2 {
        margin: 2rem 1rem 1rem 1rem;
    }

    .article-footer-list .article-container p {
        margin: 0 1rem;
    }

}